[libgdata] build: Update autogen.sh to no longer hard-code the project name



commit 6949c1d5ce1d5801bf21032a5be3ec4375997241
Author: Philip Withnall <philip withnall collabora co uk>
Date:   Tue May 26 18:45:34 2015 +0100

    build: Update autogen.sh to no longer hard-code the project name
    
    Use the recommended autogen.sh from
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh |   24 ++++++++++--------------
 1 files changed, 10 insertions(+), 14 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index cff13bf..15f5b87 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,16 +1,15 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME=libgdata
-
 (test -f $srcdir/configure.ac) || {
-       echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level $PKG_NAME directory"
+       echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
        exit 1
 }
 
+PKG_NAME=`autoconf --trace "AC_INIT:$1" "$srcdir/configure.ac"`
+
 if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
        echo "If you wish to pass any to it, please specify them on the" >&2
@@ -18,22 +17,19 @@ if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
        echo "" >&2
 fi
 
-# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
-# This is a automake bug fixed in automake 1.13.2
-# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
-if [ -n "m4" ]; then
-       mkdir -p m4
-fi
-
 set -x
 
+aclocal --install || exit 1
 gtkdocize --copy || exit 1
 intltoolize --force --copy --automake || exit 1
 autoreconf --verbose --force --install -Wno-portability || exit 1
 
-if test x$NOCONFIGURE = x; then
-       $srcdir/configure "$@" && \
-       echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+if [ "$NOCONFIGURE" = "" ]; then
+       $srcdir/configure "$@" || exit 1
+
+       if [ "$1" = "--help" ]; then exit 0 else
+               echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+       fi
 else
        echo "Skipping configure process."
 fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]